# react-navigation-underscore

[![Generated with nod](https://img.shields.io/badge/generator-nod-2196F3.svg?style=flat-square)](https://github.com/diegohaz/nod)
[![NPM version](https://img.shields.io/npm/v/react-navigation-underscore.svg?style=flat-square)](https://npmjs.org/package/react-navigation-underscore)
[![Build Status](https://img.shields.io/travis/armsteadj1/react-navigation-underscore/master.svg?style=flat-square)](https://travis-ci.org/armsteadj1/react-navigation-underscore) [![Coverage Status](https://img.shields.io/codecov/c/github/armsteadj1/react-navigation-underscore/master.svg?style=flat-square)](https://codecov.io/gh/armsteadj1/react-navigation-underscore/branch/master)

A HOC to map all of your _ methods so they aren&#39;t so ugly to use with [React Navigation](https://github.com/react-navigation/react-navigation).

## Install

    $ npm install --save react-navigation-underscore

## Usage

Will take any _ method that is on the component and make it available within the navigation parameters. 

This will not include any methods that start with '_react'

```jsx harmony
import withUnderscore from "react-navigation-underscore";

class WrapMe extends React.Component {
  _setSomething = () => this.setState({ something: true });
  
  static navigationOptions = ({ navigation }) => ({
    headerRight: (
      <Button 
        onPress={(navigation.state.params || {})._setSomething}
      />
    ),
  });
}

export default withUnderscore(WrapMe)
```

**Parameters**

-   `component` **[Component](https://reactjs.org/docs/react-component.html)** React Navigation aware component

Returns  **[Component](https://reactjs.org/docs/react-component.html)**

## License

MIT © [James Armstead](https://github.com/armsteadj1)
